# Problem

```@docs
Problem
system
specification
Specification
system_property
Property
satisfaction_mode
SatisfactionMode
strategy_mode
StrategyMode
```

## Temporal logic

```@docs
IntervalMDP.AbstractTemporalLogic

LTLFormula
IntervalMDP.isfinitetime(spec::LTLFormula)
LTLfFormula
IntervalMDP.isfinitetime(spec::LTLfFormula)
time_horizon(spec::LTLfFormula)
PCTLFormula
```

## Reachability

```@docs
AbstractReachability

FiniteTimeReachability
IntervalMDP.isfinitetime(spec::FiniteTimeReachability)
terminal_states(spec::FiniteTimeReachability)
reach(spec::FiniteTimeReachability)
time_horizon(spec::FiniteTimeReachability)

InfiniteTimeReachability
IntervalMDP.isfinitetime(spec::InfiniteTimeReachability)
terminal_states(spec::InfiniteTimeReachability)
reach(spec::InfiniteTimeReachability)
convergence_eps(spec::InfiniteTimeReachability)
```

## Reach-avoid

```@docs
AbstractReachAvoid

FiniteTimeReachAvoid
IntervalMDP.isfinitetime(spec::FiniteTimeReachAvoid)
terminal_states(spec::FiniteTimeReachAvoid)
reach(spec::FiniteTimeReachAvoid)
avoid(spec::FiniteTimeReachAvoid)
time_horizon(spec::FiniteTimeReachAvoid)

InfiniteTimeReachAvoid
IntervalMDP.isfinitetime(spec::InfiniteTimeReachAvoid)
terminal_states(spec::InfiniteTimeReachAvoid)
reach(spec::InfiniteTimeReachAvoid)
avoid(spec::InfiniteTimeReachAvoid)
convergence_eps(spec::InfiniteTimeReachAvoid)
```

## Reward specification

```@docs
AbstractReward

FiniteTimeReward
IntervalMDP.isfinitetime(spec::FiniteTimeReward)
reward(spec::FiniteTimeReward)
discount(spec::FiniteTimeReward)
time_horizon(spec::FiniteTimeReward)

InfiniteTimeReward
IntervalMDP.isfinitetime(spec::InfiniteTimeReward)
reward(spec::InfiniteTimeReward)
discount(spec::InfiniteTimeReward)
convergence_eps(spec::InfiniteTimeReward)
```